Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface ILocalVariableTypeTableEntry

public interface ILocalVariableTypeTableEntry

Description of a local variable type table entry as specified in the JVM specifications (added in J2SE 1.5). This interface may be implemented by clients.

Since:
  3.0

Method Summary
`int` | `getIndex()` Answer back the index of this entry as specified in the JVM specifications.
`int` | `getLength()` Answer back the length of this entry as specified in the JVM specifications.
`char[]` | `getName()` Answer back the name of this entry as specified in the JVM specifications.
`int` | `getNameIndex()` Answer back the name index in the constant pool of this entry as specified in the JVM specifications.
`char[]` | `getSignature()` Answer back the signature of this entry as specified in the JVM specifications.
`int` | `getSignatureIndex()` Answer back the signature index in the constant pool of this entry as specified in the JVM specifications.
`int` | `getStartPC()` Answer back the start pc of this entry as specified in the JVM specifications.

Method Detail

### getStartPC

    public int getStartPC()

  Answer back the start pc of this entry as specified in the JVM specifications.

  Returns:
    the start pc of this entry as specified in the JVM specifications

### getLength

    public int getLength()

  Answer back the length of this entry as specified in the JVM specifications.

  Returns:
    the length of this entry as specified in the JVM specifications

### getNameIndex

    public int getNameIndex()

  Answer back the name index in the constant pool of this entry as specified in the JVM specifications.

  Returns:
    the name index in the constant pool of this entry as specified in the JVM specifications

### getSignatureIndex

    public int getSignatureIndex()

  Answer back the signature index in the constant pool of this entry as specified in the JVM specifications.

  Returns:
    the signature index in the constant pool of this entry as specified in the JVM specifications

### getIndex

    public int getIndex()

  Answer back the index of this entry as specified in the JVM specifications.

  Returns:
    the index of this entry as specified in the JVM specifications

### getName

    public char[] getName()

  Answer back the name of this entry as specified in the JVM specifications.

  Returns:
    the name of this entry as specified in the JVM specifications

### getSignature

    public char[] getSignature()

  Answer back the signature of this entry as specified in the JVM specifications.

  Returns:
    the signature of this entry as specified in the JVM specifications

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.